org.json.simple

## Enum DeserializationException.Problems

- java.lang.Object
- - java.lang.Enum<DeserializationException.Problems>
  - - org.json.simple.DeserializationException.Problems

- All Implemented Interfaces:
    Serializable, Comparable<DeserializationException.Problems>
  Enclosing class:
    DeserializationException

      public static enum DeserializationException.Problems
      extends Enum<DeserializationException.Problems>

  The kinds of exceptions that can trigger a DeserializationException.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISALLOWED_TOKEN`
    `IOEXCEPTION`
    `UNEXPECTED_CHARACTER`
    `UNEXPECTED_EXCEPTION`
    `UNEXPECTED_TOKEN`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeserializationException.Problems` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DeserializationException.Problems[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DISALLOWED_TOKEN

          public static final DeserializationException.Problems DISALLOWED_TOKEN

    - #### IOEXCEPTION

          public static final DeserializationException.Problems IOEXCEPTION

    - #### UNEXPECTED_CHARACTER

          public static final DeserializationException.Problems UNEXPECTED_CHARACTER

    - #### UNEXPECTED_EXCEPTION

          public static final DeserializationException.Problems UNEXPECTED_EXCEPTION

    - #### UNEXPECTED_TOKEN

          public static final DeserializationException.Problems UNEXPECTED_TOKEN

  - ### Method Detail

    - #### valueOf

          public static DeserializationException.Problems valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static DeserializationException.Problems[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DeserializationException.Problems c : DeserializationException.Problems.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared